using Godot;
using System;
using System.Threading.Tasks;

public partial class NavigationMap : NavigationRegion2D
{
    public override void _Ready()
    {
        _ = RecalculateNavigation();
    }

    private async Task RecalculateNavigation()
    {
        await Task.Delay(300);
        
        this.BakeNavigationPolygon();
    }
}
